{ ... }: {
  services.prometheus.exporters.nginx = {
    enable = true;
    port = 14201;
    scrapeUri = "http://localhost:14000/nginx_status";
  };

  networking.firewall.allowedTCPPorts = [ 14201 ];

  services.nginx.statusPage = true;
  services.nginx.virtualHosts.localhost.listen = [ { port = 14000; } ];
}
